ur_rna.StructureEditor.windows

## Class ColorizeDialog.SimpleColorControl

- java.lang.Object
- - ur_rna.StructureEditor.windows.ColorizeDialog.SimpleColorControl

- All Implemented Interfaces:
    ColorizeDialog.ColorEditControl
  Direct Known Subclasses:
    ColorizeDialog.SymbolColorRule, ColorizeDialog.ValueColorRule
  Enclosing class:
    ColorizeDialog

      private static class ColorizeDialog.SimpleColorControl
      extends java.lang.Object
      implements ColorizeDialog.ColorEditControl

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected javax.swing.JComponent` | `box`
    `protected javax.swing.text.JTextComponent` | `txt`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleColorControl(javax.swing.text.JTextComponent txt, javax.swing.JComponent box)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addBoxClickHandler(ColorizeDialog dialog)`
    `java.awt.Color` | `getColor()`
    `java.lang.String` | `getColorText()`
    `javax.swing.JComponent` | `getPanel()`
    `void` | `remove()`
    `void` | `setColor(java.awt.Color c)`
    `void` | `setColorText(java.lang.String text)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface ur_rna.StructureEditor.windows.ColorizeDialog.ColorEditControl

      `setColorFromText`

- - ### Field Detail

    - #### box

          protected final javax.swing.JComponent box

    - #### txt

          protected final javax.swing.text.JTextComponent txt

  - ### Constructor Detail

    - #### SimpleColorControl

          public SimpleColorControl(javax.swing.text.JTextComponent txt,
                                    javax.swing.JComponent box)

  - ### Method Detail

    - #### addBoxClickHandler

          public void addBoxClickHandler(ColorizeDialog dialog)

    - #### getColor

          public java.awt.Color getColor()

      Specified by:
        `getColor` in interface `ColorizeDialog.ColorEditControl`

    - #### getColorText

          public java.lang.String getColorText()

      Specified by:
        `getColorText` in interface `ColorizeDialog.ColorEditControl`

    - #### getPanel

          public javax.swing.JComponent getPanel()

    - #### remove

          public void remove()

    - #### setColor

          public void setColor(java.awt.Color c)

      Specified by:
        `setColor` in interface `ColorizeDialog.ColorEditControl`

    - #### setColorText

          public void setColorText(java.lang.String text)

      Specified by:
        `setColorText` in interface `ColorizeDialog.ColorEditControl`